package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 许可证状态（有效,过期,暂停）枚举类
*
* @author zxfei
*/
public enum LicenseStatusEnum {
    有效("有效", "有效"),
    过期("过期", "过期"),
    暂停("暂停", "暂停");
    private String value;
    private String desc;

    LicenseStatusEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static LicenseStatusEnum getByValue(String value) {
        for (LicenseStatusEnum licenseStatusEnum : LicenseStatusEnum.values()) {
            if (licenseStatusEnum.getValue() == value) {
                return licenseStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (LicenseStatusEnum item : LicenseStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}